.loading-text::after{
    content: "...";
    position: absolute;
    animation: blinking-dots 1s infinite;
}

@keyframes blinking-dots {
    0%{
        content: "...";
    }
    16%{
        content: "..";
    }
    33%{
        content: ".";
    }
    50%{
        content: "";
    }
    66%{
        content: ".";
    }
    82%{
        content: "..";
    }
    100%{
        content: "...";
    }
}

.skeleton-board{
    background-color: var(--btn-clr) !important;
    background-image: none !important;

    display:flex !important;
    flex-direction: column !important;
    align-items: center !important;
    justify-content: center !important;
}

#loading-board{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    /* margin: 0 auto; */
    background-image: url(./assets/images/bg-today-large.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border-radius: 20px;
}

#loading-dots{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
}

#loading-dots .loading-dot{
    display: flex;
    align-items: center;
    /* height: 10px; */
    /* border: 2px solid red; */

    animation: loadingAnimation 1s ease infinite;
    animation-delay: calc(var(--position)*0.1s);
}

@keyframes loadingAnimation {
    0%{
        transform: translateY(0);
    }   
    50%{
        transform: translateY(-10px);
    }   
    100%{
        transform: translateY(0);
    }   
}

#loading-dots .loading-dot img path{
    fill: white;
}

.skeleton-image{
    width: 0px;
    height: 0px;
}

.skeleton-text{
}

.skeleton-text::after{
    content: "" !important;
}

#day-of-the-week-board{
    position: absolute;
    display: flex;
    flex-direction: column;
    gap: 2px;
    align-items: left;
    justify-content: space-evenly;

    border-radius: 5px;

    width: 150px;
    background-color: var(--btn-clr-darker);
    transform: translateX(calc(-32.5% - 1px));
    top: 40px;

    z-index: 1;
}

#day-of-the-week-board .label-ctn{
    width: 80%;
    margin: 0 auto;
    /* border: 2px solid red; */
    background-color: inherit;
    padding: 10px 10px 10px 10px;
    border-radius: 5px;
    cursor: pointer;
}

#skeleton-day-board label{
    cursor: pointer;
}

#skeleton-day-board .label-ctn:hover{
    background-color: hsla(243, 23%, 30% ,0.6);
}

#skeleton-day-board .label-ctn{
    font-size: 0.6rem;
    display: flex;
    align-items: center;
    margin-top: 0.5rem;
}

#skeleton-day-board .label-ctn:last-of-type{
    margin-bottom: 0.5rem;
}

#skeleton-day-board input:checked + .label-ctn{
    background-color: hsla(243, 23%, 30% ,0.6);
}